<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Str;

class SettingSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        DB::table('settings')->insert([
            ['key' => 'website_name', 'value' => 'CMS', 'created_at' => now()],
            ['key' => 'keywords', 'value' => Str::random(16), 'created_at' => now()],
            ['key' => 'meta_description', 'value' => Str::random(16), 'created_at' => now()],
            ['key' => 'site_email', 'value' => 'info@cms.com', 'created_at' => now()],
            ['key' => 'site_address', 'value' => Str::random(16), 'created_at' => now()],
            ['key' => 'site_phone', 'value' => +123456789, 'created_at' => now()],
            ['key' => 'mail_driver', 'value' =>'smtp', 'created_at' => now()],
            ['key' => 'mail_host', 'value' =>'smtp.mailtrap.io', 'created_at' => now()],
            ['key' => 'mail_port', 'value' =>2525, 'created_at' => now()],
            ['key' => 'mail_username', 'value' =>'759b99df94f0be', 'created_at' => now()],
            ['key' => 'mail_password', 'value' =>'e4c5c123acd614', 'created_at' => now()],
            ['key' => 'mail_encryption', 'value' => 'tls', 'created_at' => now()],
            ['key' => 'mail_from_address', 'value' =>'info@cms.com', 'created_at' => now()],
            ['key' => 'mail_from_name', 'value' =>'CMS', 'created_at' => now()],
            ['key' => 'website_logo', 'value' => 'logo.png', 'created_at' => now()],
            ['key' => 'website_disable', 'value' => 0, 'created_at' => now()],
            ['key' => 'dashboard_disable', 'value' => 0, 'created_at' => now()],
        ]);
    }
}
